/* style Home Page */

/* region ==================================================== Home - hero banner */
/* Home - hero banner */
body.page-template-home #hero {
  position: relative;
  background: var(--bgr-dt) center center/cover no-repeat;

  @media (min-width: 48rem) {
    min-height: 20.625rem;
    background: var(--bgr-mb) center center/cover no-repeat;
  }

  @media (min-width: 64rem) {
    min-height: 25rem;
  }

  @media (min-width: 80rem) {
    min-height: 28.75rem;
    background-size: cover;
  }

  & #hero-inner {
    width: 100%;

    @media (min-width: 48rem) {
      position: absolute;
      bottom: 1.25rem;
      background: rgba(0, 0, 0, 0.3);
    }
  }

  & .fishing-cta {
    width: 100%;
    margin-top: var(--wp--preset--spacing--35, 0.625rem);
    padding: 0;

    @media (min-width: 48rem) {
      width: 33.33333333%;
    }

    &:last-child {
      margin-bottom: var(--wp--preset--spacing--35, 0.625rem);

      @media (min-width: 48rem) {
        margin-bottom: 0;
      }
    }

    & .content {
      @media (min-width: 64rem) {
        padding-right: 10%;
      }
    }

    & .content p {
      margin: 0;
    }

    & .content a {
      display: block;
      width: 100%;
      height: 100%;
      padding: 0 var(--wp--preset--spacing--40, 0.9375rem);
      background: rgba(0, 0, 0, 0.3) var(--arrow-mb) no-repeat right center;
      color: var(--wp--preset--color--white);
      font-weight: 300;
      opacity: 1;
      transition: all 0.2s ease-in-out;

      @media (min-width: 48rem) {
        padding: var(--wp--preset--spacing--40, 0.9375rem);
        background: var(--arrow-mb) no-repeat right center;
      }

      @media (min-width: 64rem) {
        background: var(--arrow-dt) no-repeat right center;
      }

      &:hover,
        /*updated*/
      &:focus-visible {
        opacity: 0.7;
      }
    }

    & .content .cta-image {
      display: inline-block;
      vertical-align: middle;
      width: 4.375rem !important;
      margin: var(--wp--preset--spacing--35, 0.625rem) var(--wp--preset--spacing--40, 0.9375rem) var(--wp--preset--spacing--35, 0.625rem) 0;

      @media (min-width: 64rem) {
        width: auto !important;
      }
    }

    & .content .cta-text {
      display: inline-block;
      vertical-align: middle;
      max-width: 60%;
      text-align: left;
      /* font-size: 1.25rem; */
      font-size: clamp(1.25rem, 1.25rem + ((1vw - 0.2rem) * 0.548), 1.6875rem);

      @media (min-width: 48rem) {
        max-width: 50%;
      }

      @media (min-width: 64rem) {
        max-width: 40%;
        line-height: 1.1;
        /* font-size: 27px; */
      }
    }
  }
}

/* endregion */


/* region ==================================================== Home - hero below */
/* Home - hero below */

.logged-in #hero-below {
  padding-top: var(--wp--preset--spacing--40, 0.9375rem);
}

#hero-below {
  padding-top: var(--wp--preset--spacing--50, 1.875rem);
  padding-bottom: var(--wp--preset--spacing--40, 0.9375rem);

  & .welcome {
    padding: 0 var(--wp--preset--spacing--35, 0.625rem);
    padding-top: var(--wp--preset--spacing--40, 0.9375rem);
    padding-bottom: var(--wp--preset--spacing--50, 1.875rem);
    color: var(--wp--preset--color--grey-900);
    text-align: center;

    @media (min-width: 64rem) {
      padding-right: var(--wp--preset--spacing--40, 0.9375rem);
      padding-left: var(--wp--preset--spacing--40, 0.9375rem);
    }
  }

  & .visitor-cta {
    width: 100%;
    padding: 0 var(--wp--preset--spacing--35, 0.625rem);

    @media (max-width: 47.999rem) {
      min-width: 100%;
    }

    @media (min-width: 30rem) {
      width: 50%;
      padding: 0 var(--wp--preset--spacing--35, 0.625rem);
    }

    @media (min-width: 64rem) {
      width: 25%;
      padding: 0 var(--wp--preset--spacing--40, 0.9375rem);
    }
  }
}

#hero-below {
  & .visitor-cta .content {
    margin-bottom: 1rem;
  }

  & .visitor-cta__link {
    display: block;
    padding: 1.25rem 1.25rem 1.25rem 5.0rem;
    border-radius: 0.625rem;
    background-color: var(--wp--preset--color--brand-1, #025a02);
    background-repeat: no-repeat;
    background-position: 0.5625rem 50%;
    color: var(--wp--preset--color--white);
    line-height: 1.16;
    text-transform: capitalize;
    font-size: var(--wp--preset--font-size--heading-6);
    font-weight: 300;
    text-decoration-color: transparent;

    &:hover, /*updated*/
    &:focus-visible {
      background-color: var(--wp--preset--color--brand-1-800, #012401);
      text-decoration-color: transparent;
    }

    @media (min-width: 48rem) {
      font-size: var(--wp--preset--font-size--heading-6);
    }

    @media (min-width: 64rem) {
      font-size: 1.1em;
    }

    @media (min-width: 80rem) {
      font-size: var(--wp--preset--font-size--heading-6);
    }

    & p {
      margin: 0;
    }
  }
}

/* endregion */


/* region ==================================================== Home User Dashboard */
/* Home User Dashboard */

#user-dashboard {
  padding-top: 0;
  padding-bottom: var(--wp--preset--spacing--40, 0.9375rem);

  & .border-block_green .block_border,
  & .border-block--green .border-block__border {
    /* see .border-block--green in style.css for actual border and border color application */
    overflow-x: auto;
    flex-grow: 1;
    border-radius: 0.625rem;
  }
}

#user-dashboard .region-user-dashboard {
  display: flex;
  flex-direction: row;
  flex-shrink: 0;
  flex-wrap: wrap;
  align-items: start;

  & .block {
    display: flex;
    flex-direction: column;
    flex-shrink: 1;
    flex-wrap: nowrap;
    align-items: stretch;
    flex: initial;
    width: 100%;
    margin-bottom: var(--wp--preset--spacing--50, 1.875rem);
    color: var(--wp--preset--color--grey-900);
  }

  & .block-title {
    margin-bottom: 0.7em;

    &::before {
      display: inline-block;
      margin-right: 0.3125rem;
      color: var(--wp--preset--color--brand-3);
      font: normal normal normal 0.875rem/1 FontAwesome;
      font-size: inherit;
      text-rendering: auto;
      -webkit-font-smoothing: antialiased;
      -moz-osx-font-smoothing: grayscale;
    }
  }

  & .content {
    margin-bottom: 1.25rem;
  }

  & .more-link {
    text-align: right;

    & a {
      @media (max-width: var(--wp--preset--spacing--50, 1.875rem)) {
        display: block;
      }
    }
  }

  & .user-messages .more-link {
    margin-bottom: 1.25rem;
  }
}

#user-dashboard .region-user-dashboard .user-messages {
  overflow: hidden;
  max-height: 50vh;

  & .block-title::before {
    content: "";
  }

  & .content {
    padding: var(--wp--preset--spacing--35);
    border-radius: 0.5625rem;
    background: var(--wp--preset--color--background, #fefefe);
  }

  & .content h3 {
    color: var(--wp--preset--color--brand-1, #025a02);
  }

  @media (min-width: 62rem) {
    width: 50%;
    max-height: var(--height-box-left);
  }
}

.user-messages__article-content {
  & h1, & .h1,
  & h2, & .h2,
  & h3, & .h3,
  & h4, & .h4,
  & h5, & .h5,
  & h6, & .h6 {
    color: inherit !important;
  }
  & h1, & .h1,
  & h2, & .h2 {
    /* slightly larger font for h1 and h2 */
    font-size: 1.325em !important; /* deliberate em use - should be relative to parent element in this usecase */
  }

  & h3, & .h3 {
    font-size: 1.25em !important; /* deliberate em use - should be relative to parent element in this usecase */
  }
  & h4, & .h4,
  & h5, & .h5,
  & h6, & .h6 {
    font-size: 1.125em !important; /* deliberate em use - should be relative to parent element in this usecase */
    font-weight: 600 !important;
  }
}

#user-dashboard .region-user-dashboard .border-left {
  width: 100%;

  & > .block:last-child {
    margin-bottom: 0;
  }

  @media (min-width: 62rem) {
    width: 50%;
  }
}

#user-dashboard .region-user-dashboard .block-river-level {
  & .block-title::before {
    content: "";
  }
}

#user-dashboard .region-user-dashboard .forum-latest {
  & .block-title::before {
    content: "";
  }

  & .view-row {
    margin: 0 0 var(--wp--preset--spacing--35, 0.625rem);
    padding: 0 0 var(--wp--preset--spacing--35, 0.625rem);
    border-color: rgba(163, 180, 28, 0.5);
    border-bottom: 1px solid #dddddd;

    &:last-child {
      border-bottom: 0;
    }
  }
}

#user-dashboard .forum-latest .topic-wrap {
  position: relative;
  padding-right: 5.0rem;

  @media (min-width: 64rem) {
    display: flex;
    align-items: center;
  }

  & > div {
    display: block;

    @media (min-width: 62rem) {
      margin: 0 0 0.3125rem;
    }

    @media (min-width: 64rem) {
      display: inline-block;
      margin: 0 var(--wp--preset--spacing--35, 0.625rem) 0 0;
    }
  }

  & .topic-title {
    & a {
      color: var(--wp--preset--color--grey-900);
      font-size: 1rem;;
    }

    @media (min-width: 64rem) {
      width: 40%;
    }
  }

  & .read-link {
    position: absolute;
    top: 50%;
    right: 0;
    margin: 0;
    transform: translateY(-50%);

    @media (min-width: 64rem) {
      float: right;
    }
  }
}

#user-dashboard .region-user-dashboard .block-user {
  & .block-title::before {
    content: "";
  }
}

/* endregion */


/* region ==================================================== Home - BODSA Blog */
/* Home - BODSA Blog */

body.page-template-home .page {
  background: var(--wp--preset--color--brand-2-100);

  & #main {
    padding-top: var(--wp--preset--spacing--50, 1.875rem);
    padding-bottom: var(--wp--preset--spacing--50, 1.875rem);
    background: var(--wp--preset--color--brand-3-600);
    color: var(--wp--preset--color--white);

    @media (min-width: 48rem) {
      padding-top: var(--wp--preset--spacing--50, 1.875rem);
      padding-bottom: 3.75rem;
    }
  }

  & .block-views {
    width: 100%;

    @media (min-width: 64rem) {
      width: 50%;
    }
  }
}

body.page-template-home .page {
  .home-blog {
    &:first-child {
      margin: 0 0 var(--wp--preset--spacing--50, 1.875rem);

      @media (min-width: 64rem) {
        margin: 0 0 0;
      }
    }
  }

  & .home-blog__date {
    height: 1.25rem;
    margin: 0 0 var(--wp--preset--spacing--35, 0.625rem);
    font-weight: 300;
  }

  & .home-blog__body {
    position: relative;
    padding: 1.25rem 1.25rem 2.1875rem;
    background: rgba(255, 255, 255, 0.3);
    color: var(--wp--preset--color--grey-900);
    line-height: 1.2em;

    @media (min-width: 64rem) {
      min-height: 14.375rem;
    }

    @media (min-width: 80rem) {
      min-height: 12.5rem;
    }
  }

  & .home-blog__body__view-link a {
    display: inline-block;
    position: absolute;
    right: 0;
    bottom: 0;
    padding: 0.3125rem var(--wp--preset--spacing--35, 0.625rem);
    background: var(--wp--preset--color--white);
    color: var(--wp--preset--color--brand-3);
    text-decoration-color: transparent !important; /* important */

    &:hover, /*updated*/
    &:focus-visible {
      background: rgba(255, 255, 255, 0.8);
      text-decoration-color: transparent !important;
    }
  }
}

body.page-template-home .page .home-weather {
  & .WIYCW-wrapper {
    max-width: 100%;
  }

  & .block-title {
    margin-bottom: 2rem;
  }

  & .WIYCW-forecast-horizontal {
    overflow: auto;
    flex-wrap: nowrap;
    justify-content: flex-start;

    & .WIYCW-forecast-row {
      flex: 0 0 20%;
    }
  }
}

/* endregion */


/* region ==================================================== Home - Gallery */
/* Home - Gallery */

#content-bottom {
  padding-top: var(--wp--preset--spacing--40, 0.9375rem);
  padding-bottom: var(--wp--preset--spacing--40, 0.9375rem);
  background: var(--wp--preset--color--brand-2);
  color: var(--wp--preset--color--white);

  @media (min-width: 48rem) {
    padding-top: var(--wp--preset--spacing--50, 1.875rem);
    padding-bottom: var(--wp--preset--spacing--50, 1.875rem);
  }

  & .container {
    background: var(--wp--preset--color--brand-2) !important;
  }

  & .block-title {
    margin-bottom: var(--wp--preset--spacing--35, 0.625rem);
    text-align: center;
  }

  & .more-link {
    text-align: right;

    @media (min-width: 80rem) {
      padding: 0 var(--wp--preset--spacing--35, 0.625rem);
    }

    @media (max-width: 61.938rem) {
      padding: 0 1.25rem;
    }
  }
}

/* endregion */


/* region ==================================================== River Report */
/* River Report */
.report-form {

  & .form-item,
  & form-item {
    margin: 0 0 var(--wp--preset--spacing--35, 0.625rem);
  }

  & .fieldset-wrapper {
    padding: var(--wp--preset--spacing--35, 0.625rem);
    border: 1px solid #dddddd;
  }

  & .fieldset-description {
    margin-bottom: 1.25rem;
  }

  & .form-item-file:not(:last-child) {
    margin-bottom: var(--wp--preset--spacing--35, 0.625rem);
  }

  & span[data-name="date-report"] input {
    width: 100%;
    padding: 0.375rem 0.75rem;
  }

  & .webform-container-inline {
    display: block;
    position: relative;
    margin-right: calc(var(--wp--preset--spacing--35, 0.625rem) * -1);
    margin-left: calc(var(--wp--preset--spacing--35, 0.625rem) * -1);

    @media (min-width: 48rem) {
      margin-right: calc(var(--wp--preset--spacing--40) * -1);
      margin-left: calc(var(--wp--preset--spacing--40) * -1);
    }
  }

  & .webform-component-time {
    & .description {
      width: fit-content;
      margin-top: 1rem;
    }

    & .form-type-select {
      position: relative;
      float: left;
      width: 25%;
      min-height: 1px;
      padding-right: var(--wp--preset--spacing--35, 0.625rem);
      padding-left: var(--wp--preset--spacing--35, 0.625rem);

      @media (min-width: 48rem) {
        padding-right: var(--wp--preset--spacing--40, 0.9375rem);
        padding-left: var(--wp--preset--spacing--40, 0.9375rem);
      }
    }

    & .form-radios {
      display: inline-block;
      margin: 0;
      padding-left: 0.3125rem;
    }

    & input {
      margin: 0.1875rem 0.1875rem 0 0.3125rem;
    }

    & .wpcf7-list-item-label {
      margin-right: 1rem;
    }
  }
}

/* endregion */


/* region ==================================================== catch-returns */
/*  catch-returns */
.catch-returns .block-link {
  padding-right: var(--wp--preset--spacing--35, 0.625rem);
  padding-left: var(--wp--preset--spacing--35, 0.625rem);

  @media (min-width: 30rem) {
    width: 50%;
  }

  @media (min-width: 64rem) {
    width: 25%;
    padding-right: var(--wp--preset--spacing--40, 0.9375rem);
    padding-left: var(--wp--preset--spacing--40, 0.9375rem);
  }

  & .content {
    margin-bottom: 1rem;

    & a {
      display: block;
      padding: 1.25rem 1.25rem 1.25rem 5.0rem;
      background-color: var(--wp--preset--color--brand-1, #025a02);
      background-repeat: no-repeat;
      background-position: 0.5625rem 50%;
      color: var(--wp--preset--color--white);
      text-transform: capitalize;
      font-size: 1.3em;
      font-weight: 300;

      &:hover,
        /*updated*/
      &:focus-visible {
        background-color: var(--wp--preset--color--brand-1-800, #012401);
      }

      @media (min-width: 48rem) {
        font-size: 1.3em;
      }

      @media (min-width: 64rem) {
        font-size: 1.1em;
      }

      @media (min-width: 80rem) {
        font-size: 1.3em;
      }
    }
  }
}

/* endregion */
